### Method

# Gtk Widget set_cursor

#### Declaration [src]

    void
    gtk_widget_set_cursor (
      GtkWidget* widget,
      GdkCursor* cursor
    )

#### Description [src]

Sets the cursor to be shown when pointer devices point towards `widget`.

If the `cursor` is NULL, `widget` will use the cursor inherited from the parent widget.

Sets property | `Gtk.Widget:cursor`

#### Parameters

`cursor`

  Type: `GdkCursor`

  The new cursor.

  The argument can be `NULL`.
  The data is owned by the caller of the method.